dp12: XDp_TxMainStreamAttributes Struct Reference

| dp12 Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDp_TxMainStreamAttributes Struct Reference
Dp_v6_0

This typedef contains the main stream attributes which determine how the video will be displayed. More...

## Data Fields
XVidC_VideoTimingMode | Vtm
| The video timing. More...
u32 | PixelClockHz
| The pixel clock of the stream (in Hz). More...
u32 | HStart
| Horizontal blank start (in pixels). More...
u32 | VStart
| Vertical blank start (in lines). More...
u32 | Misc0
| Miscellaneous stream attributes 0 as specified by the DisplayPort 1.2 specification. More...
u32 | Misc1
| Miscellaneous stream attributes 1 as specified by the DisplayPort 1.2 specification. More...
u32 | NVid
| N value for the video stream. More...
u32 | MVid
| M value used to recover the video clock from the link clock. More...
u32 | UserPixelWidth
| The width of the user data input port. More...
u32 | DataPerLane
| Used to translate the number of pixels per line to the native internal 16-bit datapath. More...
u32 | AvgBytesPerTU
| Average number of bytes per transfer unit, scaled up by a factor of 1000. More...
u32 | TransferUnitSize
| Size of the transfer unit in the framing logic. More...
u32 | InitWait
| Number of initial wait cycles at the start of a new line by the framing logic. More...
u32 | BitsPerColor
| Number of bits per color component. More...
u8 | ComponentFormat
| The component format currently in use by the video stream. More...
u8 | DynamicRange
| The dynamic range currently in use by the video stream. More...
u8 | YCbCrColorimetry
| The YCbCr colorimetry currently in use by the video stream. More...
u8 | SynchronousClockMode
| Synchronous clock mode is currently in use by the video stream. More...
u8 | OverrideUserPixelWidth
| If set to 1, the value stored for UserPixelWidth will be used as the pixel width. More...

## Detailed Description

This typedef contains the main stream attributes which determine how the video will be displayed.

## Field Documentation

u32 XDp_TxMainStreamAttributes::AvgBytesPerTU

Average number of bytes per transfer unit, scaled up by a factor of 1000.

u32 XDp_TxMainStreamAttributes::BitsPerColor

Number of bits per color component.

u8 XDp_TxMainStreamAttributes::ComponentFormat

The component format currently in use by the video stream.

u32 XDp_TxMainStreamAttributes::DataPerLane

Used to translate the number of pixels per line to the native internal 16-bit datapath.

u8 XDp_TxMainStreamAttributes::DynamicRange

The dynamic range currently in use by the video stream.

u32 XDp_TxMainStreamAttributes::HStart

Horizontal blank start (in pixels).

u32 XDp_TxMainStreamAttributes::InitWait

Number of initial wait cycles at the start of a new line by the framing logic.

u32 XDp_TxMainStreamAttributes::Misc0

Miscellaneous stream attributes 0 as specified by the DisplayPort 1.2 specification.

u32 XDp_TxMainStreamAttributes::Misc1

Miscellaneous stream attributes 1 as specified by the DisplayPort 1.2 specification.

u32 XDp_TxMainStreamAttributes::MVid

M value used to recover the video clock from the link clock.

u32 XDp_TxMainStreamAttributes::NVid

N value for the video stream.

u8 XDp_TxMainStreamAttributes::OverrideUserPixelWidth

If set to 1, the value stored for UserPixelWidth will be used as the pixel width.

u32 XDp_TxMainStreamAttributes::PixelClockHz

The pixel clock of the stream (in Hz).

u8 XDp_TxMainStreamAttributes::SynchronousClockMode

Synchronous clock mode is currently in use by the video stream.

u32 XDp_TxMainStreamAttributes::TransferUnitSize

Size of the transfer unit in the framing logic.

In MST mode, this is also the number of time slots that are alloted in the payload ID table.

u32 XDp_TxMainStreamAttributes::UserPixelWidth

The width of the user data input port.

u32 XDp_TxMainStreamAttributes::VStart

Vertical blank start (in lines).

XVidC_VideoTimingMode XDp_TxMainStreamAttributes::Vtm

The video timing.

u8 XDp_TxMainStreamAttributes::YCbCrColorimetry

The YCbCr colorimetry currently in use by the video stream.